Read Checkout Session
Intent
Reads the checkout session without changing it.
When to call it
Call this after your application has received or stored the identifier for the checkout session.
Access boundary
Authorize the request with a token that carries checkouts:read or checkouts:write.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
Authorizations
Path Parameters
Identifier of the checkout session.
Response
Request completed successfully
Checkout session data retrieved using an access token.
The stable identifier for this record.
The time Ruba created this record.
The time this record last changed.
Payment Processor: Payment processor used.
stripe Status of the checkout session.
open, expired, confirmed, succeeded, failed Client Secret: Client secret used to update and complete the checkout session from the client.
Url: URL where the customer can access the checkout session.
Expires At: Expiration date and time of the checkout session.
Success Url: URL where the customer will be redirected after a successful payment.
If provided, a back button will be shown in the checkout to return to this URL.
Embed Origin: When checkout is embedded, represents the Origin of the page embedding the checkout. Used as a security measure to send messages only to the embedding page.
Amount: Amount in cents, before discounts and taxes.
Discount Amount: Discount amount in cents.
Net Amount: Amount in cents, after discounts but before taxes.
Tax Amount: Sales tax amount in cents. If null, it means there is no enough information yet to calculate it.
Tax Behavior: Tax behavior of the checkout. inclusive means the price includes tax, exclusive means tax is added on top. If null, tax is not yet calculated.
inclusive, exclusive Total Amount: Amount in cents, after discounts and taxes.
Currency: Currency code of the checkout session.
Indicates whether to enable the trial period for the checkout session. If false, the trial period will be disabled, even if the selected product has a trial configured.
Active Trial Interval: Interval unit of the trial period, if any. This value is either set from the checkout, if trial_interval is set, or from the selected product.
day, week, month, year Count of interval units of the trial period, if any. This value is either set from the checkout, if trial_interval_count is set, or from the selected product.
Trial End: End date and time of the trial period, if any.
Identifier of the organization owning the checkout session.
Identifier of the product to checkout.
Identifier of the product price to checkout.
Identifier of the discount applied to the checkout.
Indicates whether to allow the customer to apply discount codes. If you apply a discount through discount_id, it'll still be applied, but the customer won't be able to change it.
Indicates whether to require the customer to fill their full billing address, instead of just the country. Customers in the US will always be required to fill their full address, regardless of this setting. If you preset the billing address, this setting will be automatically set to true.
Indicates whether the discount is applicable to the checkout. Typically, free and custom prices are not discountable.
Indicates whether the product price is free, regardless of discounts.
Indicates whether the checkout requires payment, e.g. in case of free products or discounts that cover the total amount.
Indicates whether the checkout requires setting up a payment method, regardless of the amount, e.g. subscriptions that have first free cycles.
Indicates whether the checkout requires a payment form, whether because of a payment or payment method setup.
Indicates whether the customer is a business or an individual. If true, the customer will be required to fill their full billing address and billing name.
Customer Name: Name of the customer.
Email used to identify and contact the customer.
Customer address used for billing and tax calculations.
Billing Address Fields: Determines which billing address fields should be disabled, optional or required in the checkout form.
Unit used to measure the trial period.
day, week, month, year Length of the trial measured in the selected interval.
Identifier of the customer in your system. If a matching customer exists on Ruba, the resulting order will be linked to this customer. Otherwise, a new customer will be created with this external ID set.
Collection of products available to select.
Product: Product selected to checkout.
A recurring price for a product, i.e. a subscription.
Deprecated: The recurring interval should be set on the product itself.
- LegacyRecurringProductPriceFixed
- LegacyRecurringProductPriceCustom
- ProductPriceFixed
- ProductPriceCustom
- ProductPriceSeatBased
- ProductPriceMeteredUnit
Prices: Mapping of product IDs to their list of prices.
Schema for a fixed amount discount that is applied once or forever.
- CheckoutDiscountFixedOnceForeverDuration
- CheckoutDiscountFixedRepeatDuration
- CheckoutDiscountPercentageOnceForeverDuration
- CheckoutDiscountPercentageRepeatDuration
Map containing values collected through custom fields.
Seats: Predefined number of seats (works with seat-based pricing only).
Min Seats: Minimum number of seats (works with seat-based pricing only).
Max Seats: Maximum number of seats (works with seat-based pricing only).